%global systemd_unit gnome-remote-desktop.service

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:           gnome-remote-desktop
Version:        0.1.9
Release:        %mkrel 1
Summary:        GNOME Remote Desktop screen share service
Group:          Graphical desktop/GNOME

License:        GPLv2+
URL:            https://gitlab.gnome.org/jadahl/gnome-remote-desktop
Source0:        https://download.gnome.org/sources/gnome-remote-desktop/%{url_ver}/%{name}-%{version}.tar.xz


BuildRequires:  git
BuildRequires:  gcc
BuildRequires:  meson >= 0.36.0
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(freerdp2)
BuildRequires:  pkgconfig(glib-2.0) >= 2.32
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.32
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libvncserver) >= 0.9.11-7
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(gnutls)

%{?systemd_requires}
BuildRequires:  systemd

Requires:       pipewire >= 0.3

%description
GNOME Remote Desktop is a remote desktop and screen sharing service for the
GNOME desktop environment.


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install


%post
%systemd_user_post %{systemd_unit}


%preun
%systemd_user_preun %{systemd_unit}


%files
%license COPYING
%doc README
%{_libexecdir}/gnome-remote-desktop-daemon
%{_userunitdir}/gnome-remote-desktop.service
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.remote-desktop.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.remote-desktop.enums.xml


%changelog
* Sat Sep 12 2020 tv <tv> 0.1.9-1.mga8
+ Revision: 1624986
- BR freerdp2
- BR pkgconfig(cairo)
+ daviddavid <daviddavid>
- new version 0.1.9
- update Source URL

* Mon Apr 13 2020 ovitters <ovitters> 0.1.8-1.mga8
+ Revision: 1567139
- remove empty postun macro
- add group
- new version 0.1.8
- drop patch we never had and does not apply
- Mageify the spec
- from Fedora

